AWS IoT Device SDK C++ v2: Aws::Greengrass::SubscribeToComponentUpdatesResult Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Greengrass::SubscribeToComponentUpdatesResult Class Reference

`#include <GreengrassCoreIpcModel.h>`

## Public Member Functions
| SubscribeToComponentUpdatesResult () noexcept
| SubscribeToComponentUpdatesResult (TaggedResult &&taggedResult) noexcept
SubscribeToComponentUpdatesResponse * | GetOperationResponse () const noexcept
| operator bool () const noexcept
OperationError * | GetOperationError () const noexcept
RpcError | GetRpcError () const noexcept
ResultType | GetResultType () const noexcept

## Constructor & Destructor Documentation

## ◆ SubscribeToComponentUpdatesResult() [1/2]

Aws::Greengrass::SubscribeToComponentUpdatesResult::SubscribeToComponentUpdatesResult | ( |  | ) |
| inlinenoexcept

## ◆ SubscribeToComponentUpdatesResult() [2/2]

Aws::Greengrass::SubscribeToComponentUpdatesResult::SubscribeToComponentUpdatesResult | ( | TaggedResult && | taggedResult | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ GetOperationError()

OperationError * Aws::Greengrass::SubscribeToComponentUpdatesResult::GetOperationError | ( |  | ) | const
| inlinenoexcept

## ◆ GetOperationResponse()

SubscribeToComponentUpdatesResponse * Aws::Greengrass::SubscribeToComponentUpdatesResult::GetOperationResponse | ( |  | ) | const
| inlinenoexcept

## ◆ GetResultType()

ResultType Aws::Greengrass::SubscribeToComponentUpdatesResult::GetResultType | ( |  | ) | const
| inlinenoexcept

## ◆ GetRpcError()

RpcError Aws::Greengrass::SubscribeToComponentUpdatesResult::GetRpcError | ( |  | ) | const
| inlinenoexcept

## ◆ operator bool()

Aws::Greengrass::SubscribeToComponentUpdatesResult::operator bool | ( |  | ) | const
| inlinenoexcept

Returns
  true if the response is associated with an expected response; false if the response is associated with an error.

The documentation for this class was generated from the following file:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h